%define prerel 0
%define pre 0

%ifarch %{arm} aarch64 x86_64
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebsockets %mklibname qt5websockets %qtmajor
%define libqtwebsockets_d %mklibname qt5websockets -d

%if %prerel
%define qttarballdir qtwebsockets-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtwebsockets-everywhere-src-%{qtversion}
%endif

Name: qtwebsockets5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt WebSockets component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}
BuildRequires: pkgconfig(Qt5Quick) >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.
It is implemented as a Qt add-on module, that can easily be embedded into
existing Qt projects. It has no other dependencies than Qt.

%files
%{_qt5_qml}/Qt/WebSockets/
%{_qt5_qml}/QtWebSockets/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtWebSockets%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebSockets5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebsockets.qch
%{_qt5_docdir}/qtwebsockets/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtwebsockets5 < %{qtversion}-5

%description -n %{libqtwebsockets}
Qt%{qtmajor} Component Library.

QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.

%files -n %{libqtwebsockets}
%{_qt5_libdir}/libQt5WebSockets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets_d}
Summary: Devel files needed to build apps based on QtWebSockets
Group:    Development/KDE and Qt
Requires: %{name} = %{version}
Requires: %{libqtwebsockets} = %version
Requires: qtbase5-common-devel = %{version}
Obsoletes: %{_lib}qtwebsockets5-devel < %{qtversion}-5
Provides: libqtwebsockets5-devel = %version
Provides: qtwebsockets5-devel = %version

Provides: libqtwebsockets5-private-devel = %version
Provides: libqt5websockets-private-devel = %version
Provides: qtwebsockets5-private-devel = %version
Provides: qt5websockets-private-devel = %version
Requires: qt5core-private-devel = %version

%description -n %{libqtwebsockets_d}
Devel files needed to build apps based on QtWebSockets.

%files -n %{libqtwebsockets_d}
%{_qt5_libdir}/libQt5WebSockets.prl
%{_qt5_libdir}/libQt5WebSockets.so
%{_qt5_libdir}/pkgconfig/Qt5WebSockets.pc
%{_qt5_includedir}/QtWebSockets
%{_qt5_libdir}/cmake/*
%{_qt5_archdatadir}/mkspecs/modules/*
%{_qt5_examplesdir}/*

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebsockets-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

install -d %{buildroot}%{_qt5_docdir}

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652482
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624929
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589842
- New version 5.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545569
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484438
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438511
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421125
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418165
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384609
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378557
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362304
- New version 5.12.1

* Fri Dec 14 2018 neoclust <neoclust> 5.12.0-4.mga7
+ Revision: 1341137
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319047
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300740
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245836
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232134
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216525
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205692
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183204
- New version 5.9.3

* Sun Jul 16 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1123590
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064871
- New version 5.6.2

* Sun Oct 16 2016 wally <wally> 5.6.1-5.mga6
+ Revision: 1061129
- fix lib and devel pkg names

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-4.mga6
+ Revision: 1049798
- build missing docs part (mga#9812)
- add qtwebsockets5-doc subpackage

* Mon Jul 04 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1038581
- add more BRs on qt5qml-devel and qt5quick-devel to fix missing qml files

* Sun Jul 03 2016 tmb <tmb> 5.6.1-2.mga6
+ Revision: 1038515
- fix filelist
- sigh... upload missing tarball
+ neoclust <neoclust>
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992523
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987886
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980624
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915939
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915750
- Rebuild against new cmake to have cmake() provides

* Mon Dec 21 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912798
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911708
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900356
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894510
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853394
- Update to Qt 5.5.0 version;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839570
- New version 5.5 rc

* Wed Dec 17 2014 fwang <fwang> 5.4.0-1.mga5
+ Revision: 803758
- 5.4.0

* Mon Dec 08 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 802211
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-4.mga5
+ Revision: 748593
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 738102
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-2.mga5
+ Revision: 639794
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-2.mga5
+ Revision: 624055
- bump rel
- update url
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-1.rc.1.mga5
+ Revision: 621491
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-1.beta.1.mga5
+ Revision: 612352
- 5.3.0beta

* Fri Mar 21 2014 fwang <fwang> 5.3.0-1.alpha.1.mga5
+ Revision: 606355
- update package name
- update file list
- imported package qtwebsockets5

